Page MenuHomeFreeBSD

add games/katawa-shoujo port
ClosedPublic

Authored by jbeich on Jan 22 2015, 2:14 PM.

Details

Reviewers
AMDmi3
flo
Group Reviewers
games
Summary

Add new port games/katawa-shoujo

PR: 195769
Requested by: XENOHEAVEN on forums.pcbsd.org

Katawa Shoujo is a bishoujo-style visual novel by Four Leaf Studios
that tells a story of a young man and five young women living with
varying disabilities. The game uses a traditional text and
sprite-based visual novel model with an ADV-style text box running on
the Ren'Py visual novel engine. -- Wikipedia

WWW: http://www.katawa-shoujo.com/

games is asked to review at least pkg-descr, icons handling, LICENSE and MANUAL_PACKAGE_BUILD.
Test Plan

poudriere logs are attached to the bug. Since then I've only replaced
TAR with COPYTREE_SHARE per D1577#7 so

http://slexy.org/view/s2M8cTrZpE (9.3R i386)

Play the game or fast-forward to the first video clip shortly after
the confession prologue. If you still don't see the clip then
something has gone wrong.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

jbeich updated this revision to Diff 3327.Jan 22 2015, 2:14 PM
jbeich retitled this revision from to add games/katawa-shoujo port.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added reviewers: games, flo.
jbeich updated this object.Jan 22 2015, 2:17 PM
jbeich edited the test plan for this revision. (Show Details)
AMDmi3 accepted this revision.Jan 22 2015, 4:08 PM
AMDmi3 added a reviewer: AMDmi3.
This revision is now accepted and ready to land.Jan 22 2015, 4:08 PM

Although, I'd take description from http://www.katawa-shoujo.com/about.php - it's more complete and genuine.

flo accepted this revision.Jan 22 2015, 7:20 PM
flo edited edge metadata.

Approved

Something is wrong with Summary. I'll try to drop |Reviewed by| there but not from the commit.

$ arc diff --update D1601 games
Exception
Field "reviewedByPHIDs" occurs twice in commit message!
(Run with --trace for a full exception trace.)

jbeich updated this object.Jan 22 2015, 10:08 PM
jbeich edited edge metadata.
jbeich updated this revision to Diff 3333.Jan 22 2015, 10:18 PM
jbeich edited edge metadata.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)

Replaced description with more spoilerish one from the game's homepage. It's now the same as the long description in control file in GetDeb package.

This revision now requires review to proceed.Jan 22 2015, 10:18 PM
AMDmi3 accepted this revision.Jan 23 2015, 9:44 AM
AMDmi3 edited edge metadata.
This revision is now accepted and ready to land.Jan 23 2015, 9:44 AM
jbeich closed this revision.Feb 3 2015, 7:19 PM

Carried over @flo's approval (before pkg-descr change) and closed by commit rP378367 (authored by @jbeich).